Subject: bug#77407: shepherd hangs at "herd restart nginx"

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Apr 2025 14:38:27 +0200

Christopher Baines <[email-masked]> skribis:

>> I just realized: this may well be fixed by Shepherd commit
>> a5d9a41aa0bfadea9617df4411b86c6ea0c525bd (see
>> <https://issues.guix.gnu.org/77373>.)  Would be great to give it a try
>> somehow.
>
> I've reconfigured one of the machines I was struggling with this issue
> on with shepherd commit 8d31cafbdcb818160852a5d1e6fc24c1a9c53e41 and I
> can no longer reproduce the issue.

Did you try hard enough? :-)  As in:

  while herd restart nginx; do : ; done

> There was a failing shepherd test, but I just disabled tests.

If you still have the build log, I’d be happy to see it.

Thanks for testing!

Ludo’.